can I install Photo shop on this machine os x 10.2.8

  • Asked about:  Mac OS X 10.6 Snow Leopard

1 Answer from the Community

  • Answer

    Depends on the version of PhotoShop you have. I've been using PhotoShop since Mac OS 6, about 20 years ago.

    Photoshop 7 will needs at least OS 10.1.3.

    Photoshop CS2 (which is Photoshop 9) needs at least OS 10.4.3
    Photoshop CS3 (which is Photoshop 10) needs at least OS 10.4.8
    Photoshop CS5 (which is Photoshop 12) needs at least OS 10.5.7 or OS 10.6.

    I don't know what the requirements are for Photoshop CS (Photoshop 8).